diff --git a/game/client/src/main/java/net/minecraft/client/gui/guidebook/ScreenGuidebook.java b/game/client/src/main/java/net/minecraft/client/gui/guidebook/ScreenGuidebook.java
index 134d3721e..3ca8638d1 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/guidebook/ScreenGuidebook.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/guidebook/ScreenGuidebook.java
@@ -7,11 +7,11 @@ import net.minecraft.client.gui.TooltipElement;
 import net.minecraft.client.gui.guidebook.search.GuidebookPageSearch;
 import net.minecraft.client.gui.guidebook.search.GuidebookSectionSearch;
 import net.minecraft.client.input.controller.ControllerInput;
-import net.minecraft.client.render.Font;
 import net.minecraft.client.render.Lighting;
 import net.minecraft.client.render.OpenGLHelper;
 import net.minecraft.client.render.TextureManager;
 import net.minecraft.client.render.entity.EntityRendererItem;
+import net.minecraft.client.render.font.FontRenderer;
 import net.minecraft.client.render.item.model.ItemModelDispatcher;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.item.ItemStack;
@@ -454,13 +454,13 @@ public class ScreenGuidebook
 
         //find a way how to display the total number of pages properly maybe
         if (leftPage != null && leftPage.drawHeaders()) {
-            drawStringNoShadow(font, String.valueOf(guidebookPageManager.getPageIndex(leftPage)) /*+ "/" + guidebookPageManager.getNumPages()*/, left + 12, bottom - 20, 0xFF000000);
-            drawStringCenteredNoShadow(font, I18n.getInstance().translateKey(guidebookPageManager.getLeftPage().getSection().getTranslationKey()), left + 158 / 2, bottom - 20, 0xFF808080);
+            drawStringNoShadow(fontRenderer, String.valueOf(guidebookPageManager.getPageIndex(leftPage)) /*+ "/" + guidebookPageManager.getNumPages()*/, left + 12, bottom - 20, 0xFF000000);
+            drawStringCenteredNoShadow(fontRenderer, I18n.getInstance().translateKey(guidebookPageManager.getLeftPage().getSection().getTranslationKey()), left + 158 / 2, bottom - 20, 0xFF808080);
         }
         if (rightPage != null && rightPage.drawHeaders()) {
             String str = String.valueOf(guidebookPageManager.getPageIndex(rightPage)); /*+ "/" + guidebookPageManager.getNumPages();*/
-            drawStringNoShadow(font, str, right - 12 - font.getStringWidth(str), bottom - 20, 0xFF000000);
-            drawStringCenteredNoShadow(font, I18n.getInstance().translateKey(guidebookPageManager.getRightPage().getSection().getTranslationKey()), right - 158 / 2, bottom - 20, 0xFF808080);
+            drawStringNoShadow(fontRenderer, str, right - 12 - MathHelper.ceil(fontRenderer.stringWidthDouble(str)), bottom - 20, 0xFF000000);
+            drawStringCenteredNoShadow(fontRenderer, I18n.getInstance().translateKey(guidebookPageManager.getRightPage().getSection().getTranslationKey()), right - 158 / 2, bottom - 20, 0xFF808080);
         }
     }
 
@@ -528,7 +528,7 @@ public class ScreenGuidebook
             this.active = active;
         }
 
-        public void render(TextureManager re, Font fr, int mouseX, int mouseY) {
+        public void render(TextureManager re, FontRenderer sr, int mouseX, int mouseY) {
             boolean mouseOver = mouseOver(mouseX, mouseY);
 
             re.bindTexture(re.loadTexture("/assets/minecraft/textures/gui/container/guidebook/guidebook.png"));
diff --git a/game/client/src/main/java/net/minecraft/client/gui/guidebook/cover/GuidebookPageCover.java b/game/client/src/main/java/net/minecraft/client/gui/guidebook/cover/GuidebookPageCover.java
index 126b327fc..3fffd566c 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/guidebook/cover/GuidebookPageCover.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/guidebook/cover/GuidebookPageCover.java
@@ -2,8 +2,8 @@ package net.minecraft.client.gui.guidebook.cover;
 
 import net.minecraft.client.gui.guidebook.GuidebookPage;
 import net.minecraft.client.gui.guidebook.GuidebookSection;
-import net.minecraft.client.render.Font;
 import net.minecraft.client.render.TextureManager;
+import net.minecraft.client.render.font.FontRenderer;
 import net.minecraft.core.Global;
 
 public class GuidebookPageCover
@@ -24,8 +24,8 @@ public class GuidebookPageCover
     }
 
     @Override
-    public void renderForeground(TextureManager re, Font fr, int x, int y, int mouseX, int mouseY, float partialTicks) {
-        drawStringCenteredNoShadow(fr, Global.VERSION, x + 84, y + 151, (getSection().getForegroundColor() & 0xFCFCFC) >> 2);
-        drawStringCenteredNoShadow(fr, Global.VERSION, x + 84, y + 150, getSection().getForegroundColor());
+    public void renderForeground(TextureManager re, FontRenderer sr, int x, int y, int mouseX, int mouseY, float partialTicks) {
+        drawStringCenteredNoShadow(sr, Global.VERSION, x + 84, y + 151, (getSection().getForegroundColor() & 0xFCFCFC) >> 2);
+        drawStringCenteredNoShadow(sr, Global.VERSION, x + 84, y + 150, getSection().getForegroundColor());
     }
 }
diff --git a/game/client/src/main/java/net/minecraft/client/gui/guidebook/crafting/RecipePageCrafting.java b/game/client/src/main/java/net/minecraft/client/gui/guidebook/crafting/RecipePageCrafting.java
index 5e18d1e48..dc98a41f3 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/guidebook/crafting/RecipePageCrafting.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/guidebook/crafting/RecipePageCrafting.java
@@ -19,8 +19,8 @@ import net.minecraft.client.gui.guidebook.crafting.displays.DisplayAdapterShapel
 import net.minecraft.client.gui.guidebook.crafting.displays.DisplayAdapterTool;
 import net.minecraft.client.gui.guidebook.crafting.displays.DisplayAdapterUndye;
 import net.minecraft.client.gui.guidebook.search.GuidebookPageSearch;
-import net.minecraft.client.render.Font;
 import net.minecraft.client.render.TextureManager;
+import net.minecraft.client.render.font.FontRenderer;
 import net.minecraft.core.achievement.Achievements;
 import net.minecraft.core.data.registry.recipe.RecipeEntryBase;
 import net.minecraft.core.data.registry.recipe.SearchQuery;
@@ -112,9 +112,9 @@ public class RecipePageCrafting
     }
 
     @Override
-    protected void renderForeground(TextureManager re, Font fr, int x, int y, int mouseX, int mouseY, float partialTicks) {
+    protected void renderForeground(TextureManager re, FontRenderer sr, int x, int y, int mouseX, int mouseY, float partialTicks) {
         if(recipes.isEmpty()){
-            drawStringCenteredNoShadow(fr, I18n.getInstance().translateKey("guidebook.section.search.error.no_recipes"), x+width/2,y+height/2,0xFF808080);
+            drawStringCenteredNoShadow(sr, I18n.getInstance().translateKey("guidebook.section.search.error.no_recipes"), x+width/2,y+height/2,0xFF808080);
         }
         SlotGuidebook mouseOverSlot = null;
         for (SlotGuidebook slot : slots) {
@@ -170,8 +170,8 @@ public class RecipePageCrafting
     }
 
     @Override
-    public void render(TextureManager re, Font fr, int x, int y, int mouseX, int mouseY, float partialTicks) {
-        super.render(re, fr, x, y, mouseX, mouseY, partialTicks);
+    public void render(TextureManager re, FontRenderer sr, int x, int y, int mouseX, int mouseY, float partialTicks) {
+        super.render(re, sr, x, y, mouseX, mouseY, partialTicks);
 
     }
 
@@ -187,8 +187,8 @@ public class RecipePageCrafting
     }
 
     @Override
-    protected void renderOverlay(TextureManager re, Font fr, int x, int y, int mouseX, int mouseY, float partialTicks) {
-        super.renderOverlay(re, fr, x, y, mouseX, mouseY, partialTicks);
+    protected void renderOverlay(TextureManager re, FontRenderer sr, int x, int y, int mouseX, int mouseY, float partialTicks) {
+        super.renderOverlay(re, sr, x, y, mouseX, mouseY, partialTicks);
         SlotGuidebook mouseOverSlot = null;
         for (SlotGuidebook slot : slots) {
             if(getIsMouseOverSlot(slot,x,y,mouseX,mouseY)) mouseOverSlot = slot;
diff --git a/game/client/src/main/java/net/minecraft/client/gui/guidebook/index/GuidebookPageIndex.java b/game/client/src/main/java/net/minecraft/client/gui/guidebook/index/GuidebookPageIndex.java
index fd799c999..53d2fcf23 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/guidebook/index/GuidebookPageIndex.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/guidebook/index/GuidebookPageIndex.java
@@ -4,9 +4,10 @@ import net.minecraft.client.gui.guidebook.GuidebookPageManager;
 import net.minecraft.client.gui.guidebook.ScreenGuidebook;
 import net.minecraft.client.gui.guidebook.GuidebookPage;
 import net.minecraft.client.gui.guidebook.GuidebookSection;
-import net.minecraft.client.render.Font;
 import net.minecraft.client.render.TextureManager;
+import net.minecraft.client.render.font.FontRenderer;
 import net.minecraft.core.lang.I18n;
+import net.minecraft.core.util.helper.MathHelper;
 import org.lwjgl.opengl.GL11;
 
 import java.util.List;
@@ -27,7 +28,7 @@ public class GuidebookPageIndex
     }
 
     @Override
-    protected void renderForeground(TextureManager re, Font fr, int x, int y, int mouseX, int mouseY, float partialTicks) {
+    protected void renderForeground(TextureManager re, FontRenderer sr, int x, int y, int mouseX, int mouseY, float partialTicks) {
         int yOffset = 10;
         for (int i = startIndex; i < startIndex + LINES_PER_PAGE && i < lines.size() / 2; i++) {
             int j = i - startIndex;
@@ -41,21 +42,21 @@ public class GuidebookPageIndex
 
             String lineStr = "";
             String pageStr = String.valueOf(pageNumber);
-            int pageStrWidth = fr.getStringWidth(pageStr);
+            int pageStrWidth = MathHelper.ceil(sr.stringWidthDouble(pageStr));
             int lineXMod = 0;
             if (line instanceof GuidebookSection) {
                 GuidebookSection section = (GuidebookSection) line;
                 lineStr = I18n.getInstance().translateKey(section.getTranslationKey());
-                drawStringNoShadow(fr, lineStr, x + 10, y + yOffset + 10 + j * 12, mouseOver ? 0xFFFFFF : 0x404040);
+                drawStringNoShadow(sr, lineStr, x + 10, y + yOffset + 10 + j * 12, mouseOver ? 0xFFFFFF : 0x404040);
             } else if (line instanceof GuidebookSection.Index) {
                 GuidebookSection.Index index = (GuidebookSection.Index) line;
                 lineStr = index.getName();
                 lineXMod = 16;
-                drawStringNoShadow(fr, lineStr, x + 10 + lineXMod, y + yOffset + 10 + j * 12, mouseOver ? 0xFFFFFF : 0x606060);
+                drawStringNoShadow(sr, lineStr, x + 10 + lineXMod, y + yOffset + 10 + j * 12, mouseOver ? 0xFFFFFF : 0x606060);
             }
-            drawStringNoShadow(fr, pageStr, x + 158 - 10 - pageStrWidth, y + yOffset + 10 + j * 12, mouseOver ? 0xFFFFFF : 0x404040);
+            drawStringNoShadow(sr, pageStr, x + 158 - 10 - pageStrWidth, y + yOffset + 10 + j * 12, mouseOver ? 0xFFFFFF : 0x404040);
 
-            int lineStrWidth = fr.getStringWidth(lineStr);
+            int lineStrWidth = MathHelper.ceil(sr.stringWidthDouble(lineStr));
 
             GL11.glDisable(GL11.GL_TEXTURE_2D);
             drawRect(x + 10 + lineStrWidth + 4 + lineXMod, y + yOffset + 10 + j * 12 + 6, x + 158 - 10 - pageStrWidth - 4, y + yOffset + 10 + j * 12 + 7, 0xFFA0A0A0);
diff --git a/game/client/src/main/java/net/minecraft/client/gui/guidebook/mobs/GuidebookPageMob.java b/game/client/src/main/java/net/minecraft/client/gui/guidebook/mobs/GuidebookPageMob.java
index 1e8f99785..2662f8106 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/guidebook/mobs/GuidebookPageMob.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/guidebook/mobs/GuidebookPageMob.java
@@ -7,6 +7,7 @@ import net.minecraft.client.gui.TooltipElement;
 import net.minecraft.client.gui.guidebook.GuidebookPage;
 import net.minecraft.client.gui.guidebook.GuidebookSection;
 import net.minecraft.client.render.*;
+import net.minecraft.client.render.font.FontRenderer;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.core.achievement.stat.StatList;
@@ -18,6 +19,7 @@ import net.minecraft.core.lang.I18n;
 import net.minecraft.core.player.gamemode.Gamemode;
 import net.minecraft.core.player.inventory.slot.Slot;
 import net.minecraft.client.gui.guidebook.SlotGuidebook;
+import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.world.World;
 import org.lwjgl.input.Keyboard;
 import org.lwjgl.opengl.GL11;
@@ -69,12 +71,12 @@ public class GuidebookPageMob
         discovered = mc.statsCounter.readStat(StatList.mobEncounterStats.get(EntityDispatcher.idForClass(mobClass))) > 0;
     }
 
-    private static String[] createDescLines(Font fr, String languageKey) {
+    private static String[] createDescLines(FontRenderer sr, String languageKey) {
         String[] words = I18n.getInstance().translateKey(languageKey).split(" ");
         List<String> lines = new ArrayList<>();
         StringBuilder line = new StringBuilder();
         for (String word : words) {
-            if (fr.getStringWidth(line + " " + word) > 142) {
+            if (sr.stringWidthDouble(line + " " + word) > 142) {
                 lines.add(line.toString());
                 line = new StringBuilder();
             }
@@ -104,7 +106,7 @@ public class GuidebookPageMob
     }
 
     @Override
-    protected void renderForeground(TextureManager re, Font fr, int x, int y, int mouseX, int mouseY, float partialTicks) {
+    protected void renderForeground(TextureManager re, FontRenderer sr, int x, int y, int mouseX, int mouseY, float partialTicks) {
         discovered = mc.statsCounter.readStat(StatList.mobEncounterStats.get(EntityDispatcher.idForClass(mobClass))) > 0;
         if (mc.thePlayer.getGamemode() == Gamemode.creative || !mc.gameSettings.hideUndiscoveredItems.value) discovered = true;
 
@@ -114,9 +116,9 @@ public class GuidebookPageMob
 
             String[] lines;
             if (!discovered) {
-                lines = createDescLines(fr, "guidebook.section.mob.undiscovered");
+                lines = createDescLines(sr, "guidebook.section.mob.undiscovered");
             } else {
-                lines = createDescLines(fr, mobInfo.getDescriptionTranslationKey());
+                lines = createDescLines(sr, mobInfo.getDescriptionTranslationKey());
             }
 
             // Display name
@@ -125,24 +127,24 @@ public class GuidebookPageMob
             if (!discovered) {
                 name = new String(new char[name.length()]).replace("\0", "?");
             }
-            drawStringNoShadow(fr, name, x + 66, y + 8, 0x000000);
+            drawStringNoShadow(sr, name, x + 66, y + 8, 0x000000);
 
             if (discovered) {
                 // Display health
                 if (mobInfo.getHealth() > 0) {
                     if(mobInfo.getHealth() > 40){
                         yOffset += 12;
-                        drawStringNoShadow(fr, i18n.translateKey("guidebook.section.mob.health"), x + 66, yOffset, 0x505050);
+                        drawStringNoShadow(sr, i18n.translateKey("guidebook.section.mob.health"), x + 66, yOffset, 0x505050);
                         yOffset += 6;
                         GL11.glColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
                         yOffset += 4;
                         drawGuiIcon(x + 66, yOffset, 9, 9, TextureRegistry.getTexture("minecraft:gui/hud/heart/container"));
                         drawGuiIcon(x + 66, yOffset, 9, 9, TextureRegistry.getTexture("minecraft:gui/hud/heart/full"));
-                        drawStringNoShadow(fr, "x "+mobInfo.getHealth()/2, x + 66 + 12, yOffset, 0x505050);
+                        drawStringNoShadow(sr, "x "+mobInfo.getHealth()/2, x + 66 + 12, yOffset, 0x505050);
 
                     } else {
                         yOffset += 12;
-                        drawStringNoShadow(fr, i18n.translateKey("guidebook.section.mob.health"), x + 66, yOffset, 0x505050);
+                        drawStringNoShadow(sr, i18n.translateKey("guidebook.section.mob.health"), x + 66, yOffset, 0x505050);
                         yOffset += 6;
                         GL11.glColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
                         for (int i = 0; i < mobInfo.getHealth() / 2; i++) {
@@ -162,14 +164,14 @@ public class GuidebookPageMob
                 // Display score
                 if (mobInfo.getScore() > 0) {
                     yOffset += 11;
-                    drawStringNoShadow(fr, i18n.translateKeyAndFormat("guidebook.section.mob.score", mobInfo.getScore()), x + 66, yOffset, 0x505050);
+                    drawStringNoShadow(sr, i18n.translateKeyAndFormat("guidebook.section.mob.score", mobInfo.getScore()), x + 66, yOffset, 0x505050);
                 }
             }
 
             // Display description
             yOffset = y + 84;
             for (String descLine : lines) {
-                drawStringNoShadow(fr, descLine, x + 8, yOffset, 0x505050);
+                drawStringNoShadow(sr, descLine, x + 8, yOffset, 0x505050);
                 yOffset += 10;
             }
 
@@ -177,7 +179,7 @@ public class GuidebookPageMob
                 // Display drops
                 if (mobInfo.getDrops() != null && mobInfo.getDrops().length > 0) {
                     yOffset += 4;
-                    drawStringNoShadow(fr, i18n.translateKey("guidebook.section.mob.drops"), x + 8, yOffset, 0x000000);
+                    drawStringNoShadow(sr, i18n.translateKey("guidebook.section.mob.drops"), x + 8, yOffset, 0x000000);
                     yOffset += 12;
                     for (int i = 0; i < mobInfo.getDrops().length; i++) {
                         SlotGuidebook slot = slots.get(i);
@@ -192,14 +194,14 @@ public class GuidebookPageMob
                         GL11.glPopMatrix();
                         if (slot.getIsDiscovered(mc.thePlayer)) {
                             String amountString = drop.getMinAmount() == drop.getMaxAmount() ? String.valueOf(drop.getMinAmount()) : drop.getMinAmount() + "-" + drop.getMaxAmount();
-                            int width = fr.getStringWidth(amountString);
-                            drawString(fr, amountString, x + 8 + (i % 7) * 21 + 16 - width + 1, yOffset + 10 + (i / 7) * 20, 0xFFFFFFFF);
+                            int width = MathHelper.ceil(sr.stringWidthDouble(amountString));
+                            drawStringShadow(sr, amountString, x + 8 + (i % 7) * 21 + 16 - width + 1, yOffset + 10 + (i / 7) * 20, 0xFFFFFFFF);
                         }
                     }
                 }
             }
         } else {
-            drawStringCenteredNoShadow(fr,"No results :(" ,x+width/2,y+height/2,0xFF808080);
+            drawStringCenteredNoShadow(sr,"No results :(" ,x+width/2,y+height/2,0xFF808080);
         }
 
         renderMob(x, y, mouseX, mouseY, partialTicks);
@@ -268,8 +270,8 @@ public class GuidebookPageMob
     }
 
     @Override
-    protected void renderOverlay(TextureManager re, Font fr, int x, int y, int mouseX, int mouseY, float partialTicks) {
-        super.renderOverlay(re, fr, x, y, mouseX, mouseY, partialTicks);
+    protected void renderOverlay(TextureManager re, FontRenderer sr, int x, int y, int mouseX, int mouseY, float partialTicks) {
+        super.renderOverlay(re, sr, x, y, mouseX, mouseY, partialTicks);
         if (slots == null) return;
         SlotGuidebook mouseOverSlot = null;
         for (SlotGuidebook slot : slots) {
diff --git a/game/client/src/main/java/net/minecraft/client/gui/guidebook/search/GuidebookPageSearch.java b/game/client/src/main/java/net/minecraft/client/gui/guidebook/search/GuidebookPageSearch.java
index bfc866176..815af1884 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/guidebook/search/GuidebookPageSearch.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/guidebook/search/GuidebookPageSearch.java
@@ -4,8 +4,8 @@ import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.ButtonElement;
 import net.minecraft.client.gui.TextFieldElement;
 import net.minecraft.client.gui.guidebook.*;
-import net.minecraft.client.render.Font;
 import net.minecraft.client.render.TextureManager;
+import net.minecraft.client.render.font.FontRenderer;
 import net.minecraft.core.data.registry.recipe.SearchQuery;
 import net.minecraft.core.lang.I18n;
 
@@ -20,7 +20,7 @@ public class GuidebookPageSearch extends GuidebookPage {
     }
 
     @Override
-    protected void renderForeground(TextureManager re, Font fr, int x, int y, int mouseX, int mouseY, float partialTicks) {
+    protected void renderForeground(TextureManager re, FontRenderer sr, int x, int y, int mouseX, int mouseY, float partialTicks) {
         searchField.xPosition = x + width/2 - searchField.width/2 - 10;
         searchField.yPosition = y + height/2 - searchField.height/2 - 70;
         searchClearButton.xPosition = searchField.xPosition + searchField.width + 5;
@@ -38,19 +38,19 @@ public class GuidebookPageSearch extends GuidebookPage {
 
         I18n tr = I18n.getInstance();
 
-        drawStringCenteredNoShadow(fr,tr.translateKeyAndFormat("guidebook.section.search.result.found", results),x+width/2,y+10, 0xFF404040);
+        drawStringCenteredNoShadow(sr,tr.translateKeyAndFormat("guidebook.section.search.result.found", results),x+width/2,y+10, 0xFF404040);
 
         int offset = y+70;
-        drawStringCenteredNoShadow(fr,tr.translateKey("guidebook.section.search.info.modifiers.title"),x+width/2,offset, 0xFF404040);
-        drawStringNoShadow(fr, tr.translateKey("guidebook.section.search.info.modifiers.1"),x+10,offset+=15, 0xFF404040);
-        drawStringNoShadow(fr,tr.translateKey("guidebook.section.search.info.modifiers.2"),x+10,offset+=10, 0xFF404040);
-        drawStringNoShadow(fr,tr.translateKey("guidebook.section.search.info.modifiers.3"),x+10,offset+=10, 0xFF404040);
-        drawStringNoShadow(fr,tr.translateKey("guidebook.section.search.info.modifiers.4"),x+10,offset+=10, 0xFF404040);
-        drawStringNoShadow(fr,tr.translateKey("guidebook.section.search.info.modifiers.5"),x+10,offset+=10, 0xFF404040);
-        drawStringNoShadow(fr,tr.translateKey("guidebook.section.search.info.modifiers.6"),x+10,offset+=10, 0xFF404040);
-        drawStringNoShadow(fr,tr.translateKey("guidebook.section.search.info.modifiers.7"),x+10,offset+=10, 0xFF404040);
-        drawStringNoShadow(fr,tr.translateKey("guidebook.section.search.info.modifiers.8"),x+10,offset+=10, 0xFF404040);
-        drawStringNoShadow(fr,tr.translateKey("guidebook.section.search.info.modifiers.9"),x+10,offset+=15, 0xFF404040);
+        drawStringCenteredNoShadow(sr,tr.translateKey("guidebook.section.search.info.modifiers.title"),x+width/2,offset, 0xFF404040);
+        drawStringNoShadow(sr, tr.translateKey("guidebook.section.search.info.modifiers.1"),x+10,offset+=15, 0xFF404040);
+        drawStringNoShadow(sr,tr.translateKey("guidebook.section.search.info.modifiers.2"),x+10,offset+=10, 0xFF404040);
+        drawStringNoShadow(sr,tr.translateKey("guidebook.section.search.info.modifiers.3"),x+10,offset+=10, 0xFF404040);
+        drawStringNoShadow(sr,tr.translateKey("guidebook.section.search.info.modifiers.4"),x+10,offset+=10, 0xFF404040);
+        drawStringNoShadow(sr,tr.translateKey("guidebook.section.search.info.modifiers.5"),x+10,offset+=10, 0xFF404040);
+        drawStringNoShadow(sr,tr.translateKey("guidebook.section.search.info.modifiers.6"),x+10,offset+=10, 0xFF404040);
+        drawStringNoShadow(sr,tr.translateKey("guidebook.section.search.info.modifiers.7"),x+10,offset+=10, 0xFF404040);
+        drawStringNoShadow(sr,tr.translateKey("guidebook.section.search.info.modifiers.8"),x+10,offset+=10, 0xFF404040);
+        drawStringNoShadow(sr,tr.translateKey("guidebook.section.search.info.modifiers.9"),x+10,offset+=15, 0xFF404040);
     }
 
     @Override
diff --git a/game/client/src/main/java/net/minecraft/client/gui/guidebook/smelting/RecipePageBlastSmelting.java b/game/client/src/main/java/net/minecraft/client/gui/guidebook/smelting/RecipePageBlastSmelting.java
index 53acf5caa..07271ee38 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/guidebook/smelting/RecipePageBlastSmelting.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/guidebook/smelting/RecipePageBlastSmelting.java
@@ -9,8 +9,8 @@ import net.minecraft.client.gui.guidebook.GuidebookSection;
 import net.minecraft.client.gui.guidebook.GuidebookSections;
 import net.minecraft.client.gui.guidebook.RecipePage;
 import net.minecraft.client.gui.guidebook.search.GuidebookPageSearch;
-import net.minecraft.client.render.Font;
 import net.minecraft.client.render.TextureManager;
+import net.minecraft.client.render.font.FontRenderer;
 import net.minecraft.core.achievement.Achievements;
 import net.minecraft.core.data.registry.recipe.RecipeSymbol;
 import net.minecraft.core.data.registry.recipe.SearchQuery;
@@ -70,9 +70,9 @@ public class RecipePageBlastSmelting
     }
 
     @Override
-    protected void renderForeground(TextureManager re, Font fr, int x, int y, int mouseX, int mouseY, float partialTicks) {
+    protected void renderForeground(TextureManager re, FontRenderer sr, int x, int y, int mouseX, int mouseY, float partialTicks) {
         if(recipes.isEmpty()){
-            drawStringCenteredNoShadow(fr, I18n.getInstance().translateKey("guidebook.section.search.error.no_recipes") ,x+width/2,y+height/2,0xFF808080);
+            drawStringCenteredNoShadow(sr, I18n.getInstance().translateKey("guidebook.section.search.error.no_recipes") ,x+width/2,y+height/2,0xFF808080);
         }
         SlotGuidebook mouseOverSlot = null;
         for (SlotGuidebook slot : slots) {
@@ -125,8 +125,8 @@ public class RecipePageBlastSmelting
     }
 
     @Override
-    public void render(TextureManager re, Font fr, int x, int y, int mouseX, int mouseY, float partialTicks) {
-        super.render(re, fr, x, y, mouseX, mouseY, partialTicks);
+    public void render(TextureManager re, FontRenderer sr, int x, int y, int mouseX, int mouseY, float partialTicks) {
+        super.render(re, sr, x, y, mouseX, mouseY, partialTicks);
 
     }
 
@@ -142,8 +142,8 @@ public class RecipePageBlastSmelting
     }
 
     @Override
-    protected void renderOverlay(TextureManager re, Font fr, int x, int y, int mouseX, int mouseY, float partialTicks) {
-        super.renderOverlay(re, fr, x, y, mouseX, mouseY, partialTicks);
+    protected void renderOverlay(TextureManager re, FontRenderer sr, int x, int y, int mouseX, int mouseY, float partialTicks) {
+        super.renderOverlay(re, sr, x, y, mouseX, mouseY, partialTicks);
         SlotGuidebook mouseOverSlot = null;
         for (SlotGuidebook slot : slots) {
             if(getIsMouseOverSlot(slot,x,y,mouseX,mouseY)) mouseOverSlot = slot;
diff --git a/game/client/src/main/java/net/minecraft/client/gui/guidebook/smelting/RecipePageSmelting.java b/game/client/src/main/java/net/minecraft/client/gui/guidebook/smelting/RecipePageSmelting.java
index 87143126e..d90e32c14 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/guidebook/smelting/RecipePageSmelting.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/guidebook/smelting/RecipePageSmelting.java
@@ -9,8 +9,8 @@ import net.minecraft.client.gui.guidebook.GuidebookSection;
 import net.minecraft.client.gui.guidebook.GuidebookSections;
 import net.minecraft.client.gui.guidebook.RecipePage;
 import net.minecraft.client.gui.guidebook.search.GuidebookPageSearch;
-import net.minecraft.client.render.Font;
 import net.minecraft.client.render.TextureManager;
+import net.minecraft.client.render.font.FontRenderer;
 import net.minecraft.core.achievement.Achievements;
 import net.minecraft.core.data.registry.recipe.RecipeSymbol;
 import net.minecraft.core.data.registry.recipe.SearchQuery;
@@ -70,9 +70,9 @@ public class RecipePageSmelting
     }
 
     @Override
-    protected void renderForeground(TextureManager re, Font fr, int x, int y, int mouseX, int mouseY, float partialTicks) {
+    protected void renderForeground(TextureManager re, FontRenderer sr, int x, int y, int mouseX, int mouseY, float partialTicks) {
         if(recipes.isEmpty()){
-            drawStringCenteredNoShadow(fr, I18n.getInstance().translateKey("guidebook.section.search.error.no_recipes") ,x+width/2,y+height/2,0xFF808080);
+            drawStringCenteredNoShadow(sr, I18n.getInstance().translateKey("guidebook.section.search.error.no_recipes") ,x+width/2,y+height/2,0xFF808080);
         }
         SlotGuidebook mouseOverSlot = null;
         for (SlotGuidebook slot : slots) {
@@ -125,8 +125,8 @@ public class RecipePageSmelting
     }
 
     @Override
-    public void render(TextureManager re, Font fr, int x, int y, int mouseX, int mouseY, float partialTicks) {
-        super.render(re, fr, x, y, mouseX, mouseY, partialTicks);
+    public void render(TextureManager re, FontRenderer sr, int x, int y, int mouseX, int mouseY, float partialTicks) {
+        super.render(re, sr, x, y, mouseX, mouseY, partialTicks);
 
     }
 
@@ -142,8 +142,8 @@ public class RecipePageSmelting
     }
 
     @Override
-    protected void renderOverlay(TextureManager re, Font fr, int x, int y, int mouseX, int mouseY, float partialTicks) {
-        super.renderOverlay(re, fr, x, y, mouseX, mouseY, partialTicks);
+    protected void renderOverlay(TextureManager re, FontRenderer sr, int x, int y, int mouseX, int mouseY, float partialTicks) {
+        super.renderOverlay(re, sr, x, y, mouseX, mouseY, partialTicks);
         SlotGuidebook mouseOverSlot = null;
         for (SlotGuidebook slot : slots) {
             if(getIsMouseOverSlot(slot,x,y,mouseX,mouseY)) mouseOverSlot = slot;
